Package org.firebirdsql.gds.ng

## Class AbstractEventHandle

- java.lang.Object
- - org.firebirdsql.gds.ng.AbstractEventHandle

All Implemented Interfaces:
  `EventHandle`

Direct Known Subclasses:
  `JnaEventHandle`, `WireEventHandle`

    public abstract class AbstractEventHandle
    extends java.lang.Object
    implements EventHandle

Abstract implementation for event handle.

Since:
  3.0
Author:
  Mark Rotteveel

### Constructor Summary

Constructors
`protected` `AbstractEventHandle​(java.lang.String eventName, EventHandler eventHandler)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getEventCount()` Get the count of event occurrences for the most recent occurrence(s) of the event for which this handle is registered.
`java.lang.String` `getEventName()` Get the name of the event for which this handle is set to listen for
`protected void` `onEventOccurred()`
`protected void` `setEventCount​(int eventCount)` Sets the current known event count for this handle.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.firebirdsql.gds.EventHandle

`getEventId`

### Constructor Detail

#### AbstractEventHandle

    protected AbstractEventHandle​(java.lang.String eventName,
                                  EventHandler eventHandler)

### Method Detail

#### getEventName

    public final java.lang.String getEventName()

Description copied from interface: `EventHandle`
Get the name of the event for which this handle is set to listen for

Specified by:
  `getEventName` in interface `EventHandle`
Returns:
  The name of the event

#### setEventCount

    protected void setEventCount​(int eventCount)

Sets the current known event count for this handle.

Parameters:
  `eventCount` - The event count

#### getEventCount

    public final int getEventCount()

Description copied from interface: `EventHandle`
Get the count of event occurrences for the most recent occurrence(s) of the event for which this handle is registered.

Specified by:
  `getEventCount` in interface `EventHandle`
Returns:
  The event count

#### onEventOccurred

    protected final void onEventOccurred()